-- File: pushbtn.ex
-- Description: pushbtn.e library demo
-- Type: DOS32
-- Author: Hayden McKay
-- E-Mail: hmck1@dodo.com.au
-- Created 29th/Nov/2003
without warning
include mighty.e
include graphics.e
include pushbtn.e

integer error

error = graphics_mode(18)
bk_color(3)
text_color(12)
clear_screen()
puts(1,"\n- Button styles:")
draw_button(15,1,{20,40},{100,60},BR_SHAD,SP_BACK,"BR_SHAD",1,LEFT)
draw_button(15,1,{110,40},{190,60},TR_SHAD,SP_BACK,"TR_SHAD",1,LEFT)
draw_button(15,1,{200,40},{280,60},BL_SHAD,SP_BACK,"BL_SHAD",1,LEFT)
draw_button(15,1,{290,40},{370,60},TL_SHAD,SP_BACK,"TL_SHAD",1,LEFT)
draw_button(15,1,{380,40},{460,65},CNTR_SHAD,SP_BACK,"CNTR_SHAD",1,LEFT)
draw_button(15,1,{20,100},{130,125},BR_SHAD_DBL,SP_BACK,"BR_SHAD_DBL",1,LEFT)
draw_button(15,1,{140,100},{240,125},TR_SHAD_DBL,SP_BACK,"TR_SHAD_DBL",1,LEFT)
draw_button(15,1,{250,100},{360,125},BL_SHAD_DBL,SP_BACK,"BL_SHAD_DBL",1,LEFT)
draw_button(15,1,{370,100},{480,125},TL_SHAD_DBL,SP_BACK,"TL_SHAD_DBL",1,LEFT)
draw_button(15,1,{490,100},{610,130},CNTR_SHAD_DBL,SP_BACK,"CNTR_SHAD_DBL",1,LEFT)
position(10,1)
puts(1,"- Link types: Click the buttons on the two link types to see them work.")
puts(1,"\n\n a) ST_DOWN link:")
draw_button(15,1,{20,200},{100,240},CNTR_SHAD_DBL,SP_BACK,"SP_BACK",1,LEFT)
draw_button(15,1,{110,200},{190,240},TR_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
draw_button(15,1,{200,200},{280,240},TR_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
draw_button(15,1,{290,200},{370,240},TR_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
draw_button(15,1,{380,200},{460,240},TR_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
link_button({11,12,13,14,15},ST_DOWN)
position(18,1)
puts(1," b) SP_BACK link:")
draw_button(15,1,{20,300},{100,340},BR_SHAD,SP_BACK,"SP_BACK",1,LEFT)
draw_button(15,1,{110,300},{190,340},BR_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
draw_button(15,1,{200,300},{280,340},BR_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
draw_button(15,1,{290,300},{370,340},BR_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
draw_button(15,1,{380,300},{460,340},BR_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
link_button({16,17,18,19,20},SP_BACK)
position(24,1)
puts(1,"- Button modes NOT LINKED:")
puts(1,"\n Notice the SP_BACK button uses reset_button() to depress button 24 only.")
draw_button(15,1,{20,400},{100,440},BL_SHAD,SP_BACK,"SP_BACK",1,LEFT)
draw_button(15,1,{110,400},{190,440},BL_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
draw_button(15,1,{200,400},{280,440},BL_SHAD,ST_DOWN,"ST_DOWN",1,LEFT)
draw_button(15,1,{290,400},{370,440},BL_SHAD,ST_DOWN,"Button 24",1,LEFT)
draw_button(15,1,{590,350},{630,450},BR_SHAD_DBL,SP_BACK,"DONE",1,DOWN)

integer pressed
object mouse

mouse_pointer(1)
while 1 do
    mouse = get_mouse()
    pressed = look_button(mouse)
    if pressed = 25 then
	abort(1)
	elsif pressed = 21 then
	    reset_button(24)
    end if
end while
